Subject: KSA Last Mile - Courier Followup AWB:
From: "'f-s-f-s-91 (Mumzworld Customer Care)' via customer care" <[email-masked]>
Cc: customer care <[email-masked]>
Date: Mon, 29 Jun 2020 01:03:52 +0000
List-Id: <ccteam.mumzworld.com>

##- Please type your reply above this line -##

You are registered as a CC on this request (1070464). Reply to this email to add a comment to the request.

----------------------------------------------

f-s-f-s-91, Jun 29, 2020, 5:03 AM GMT+4

Ladies and gentlemen at Mumzworld
I am writing to you explaining the issue that i am facing with my order no 200284057
I made the order on the 29th of April
And i was told that it is shipped on the 5th of may with the tracking no SOR004531968
And i have contacted the shipping company and i was told that they haven’t received the shipment from your company !!!
The issue isn’t that you gave it to the shipping company and they didn’t ship my order its that your company didn’t give the shipment to the shipping company
Now if the issue was that the order was given to shipping company and they didn’t ship it i can understand due the problems happening from the covid-19 virus
But the issue is that from the 29th of April until today your company didn’t deliver the item 60 days to be exact
And just to show you how lazy and how much you dont care about your customers this has happened to me before on the order number 200289358
And although it was your mistake not mine and there was no covid 19 pandemic at the time i wasnt refunded i was given store credit and i was out 161.06 +tax (5.25) which is around 44.40$
And now same issue same problem with more money it has been 60 days and counting still no one did anything about my order and even if you will tell me that you will cancel my order you won’t give me my money back you will just give me store credit which as i know from previous experience and from this order i will never Benefit from because what ever i will order i will never get .
Now what i want from your company is as follows
1- I want a reasonable explanation on why is this happening and please give me the respect of a decent response and dont tell me that lts because the covid 19 pandemic
2- I want an explanation on why i cant get a refund if the cancellation is from your company And the problem is from your side
3-I want an explanation on the way that even if you will give me store credit and your company will never from what i am seeing and from my experience fulfill any order in the future I will benefit from your store credit
4- it has been 60days now and nothing and I mean absolutely nothing has been done to complete my order what will be done to make up for the delay and my time that was wasted
5- the order was 3 items i want an explanation on why 1 item was shipped with one company and the other 2 items didn't come with it and someone at your company thought well lets just ship the other 2 with another company and waist this clients time
Finally what is happening to me is a disgrace and frankly disgusting this should not be happening from a company as big as yours
If no action is done that will fully satisfy me i will file a fraud claim with my bank and you will be dealing with the bank not me.
Hopping to get a better treatment and to be treated as a paying customer and get what i was promised a decent service Lama Almubarak

Sent from my iPhone

On 26 Jun 2020, at 10:22 PM, Ashutosh Yadav (Mumzworld Customer Care) <[email-masked]> wrote:

SOR004531968

----------------------------------------------

Ashutosh Yadav, Jun 26, 2020, 11:22 PM GMT+4

Dear Valuable customer,

 Believe this email finds you well!!
 Thank you for contacting our team!
 We sincerely apologize for the delay in response. Due to the current situation of pandemic Corona virus we are facing heavy traffic.

 We would like to inform you that we have contacted the team and the courier to assist with the issue as we can see you requested for the change of address. We will update you as soon as possible about refund of your non dispatched order.

 We appreciate your patience and understanding. Once again we really apologize for the inconvenience and make sure this would not happen again. I believe you will allow us one more chance to prove ourselves.

If you should have any other inquiries please do not hesitate to contact our team.
 https://www.mumzworld.com/en/contact-us

Stay safe
 Best regards,
 Ashutosh Gopal Yadav from Mumzworld

----------------------------------------------

f-s-f-s-91, May 25, 2020, 7:35 PM GMT+4

Hi

My shipment number

Shipa-KSA / tracking number: SOR004531968​

Where is it?

It shipped 5 may !!
Sent from my iPhone

--------------------------------
This email is a service from Mumzworld.com.

[GD986Y-QEG0]